using System;
using System.Collections.Generic;
using System.Text;

namespace RussellMason
{

	/// <summary>
	/// Represents an error that occurs when the same key is used to add a keyed
	/// valued to a collection.
	/// </summary>
	public class DuplicateKeyException : ApplicationException
	{

		#region Methods

		/// <summary>
		/// Initializes a new instance of the DuplicateKeyException class.
		/// </summary>
		public DuplicateKeyException()
			: base()
		{
		}

		/// <summary>
		/// Initializes a new instance of the DuplicateKeyException class.
		/// </summary>
		/// <param name="message">
		/// The user readable message to include.
		/// </param>
		public DuplicateKeyException(string message)
			: base(message)
		{
		}


		/// <summary>
		/// Initializes a new instance of the DuplicateKeyException class.
		/// </summary>
		/// <param name="message">
		/// The user readable message to include.
		/// </param>
		/// <param name="innerException">
		/// An exception that caused this exception.
		/// </param>
		public DuplicateKeyException(string message, Exception innerException)
			: base(message, innerException)
		{
		}

		#endregion Methods

	}

}
