using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Drawing;
using System.Web.UI;
using System.Web.UI.Design;
using System.Web.UI.Design.WebControls;
using System.Web.UI.WebControls;

namespace RussellMason.Web.UI.Office2007.Design
{

	/// <summary>
	/// Basic designer for Ribbon Separator.
	/// </summary>
	public class RibbonSeparatorDesigner : ControlDesigner
	{

		#region Fields

		private RibbonSeparator _control; 

		#endregion Fields

		#region Properties

		/// <summary>
		/// Gets whether the control can be sized at design-time.
		/// </summary>
		public override bool AllowResize
		{
			get
			{
				return false;
			}
		} 

		#endregion Properties

		#region Methods

		/// <summary>
		/// Initializes the control.
		/// </summary>
		/// <param name="component">
		/// The component to initialize.
		/// </param>
		public override void Initialize(IComponent component)
		{
			base.Initialize(component);

			_control = (RibbonSeparator) component;
		}

		/// <summary>
		/// Generates design time HTML.
		/// </summary>
		/// <param name="regions">
		/// Template regions.
		/// </param>
		/// <returns>
		/// The design time HTML.
		/// </returns>
		public override string GetDesignTimeHtml(DesignerRegionCollection regions)
		{
			_control.FinalizeRender();

			return  base.GetDesignTimeHtml(regions);
		} 

		#endregion Methods

	}

}
