using System;
using System.ComponentModel;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;

using Telerik.WebControls;

namespace RussellMason.Web.UI.Office2007
{

	/// <summary>
	/// Base content page for use with a RibbonMasterPage.
	/// </summary>
	public class RibbonContentPage : RibbonPage
	{

		#region Constructors

		/// <summary>
		/// Initializes a new instance of the RibbonContentPage page.
		/// </summary>
		public RibbonContentPage()
		{
		}

		#endregion Constructors

		#region Properties

		/// <summary>
		/// Gets a manager for supplying AJAX services from the master page.
		/// </summary>
		[
		DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)
		]
		public override RadAjaxManager AjaxManager
		{
			get
			{
				RadAjaxManager ajaxManager = null;
				RibbonMasterPage master = this.Master as RibbonMasterPage;

				if (master != null)
				{
					ajaxManager = master.AjaxManager;
				}
				else
				{
					ajaxManager = base.AjaxManager;
				}

				return ajaxManager;
			}
		}

		#endregion MyRegion

	}

}
